import { type Base, genBase } from "./_base"

export interface Medicinemix extends Base {
  name: string
  uom_code: string
}

export interface CreateDto {
  name: string
  uom_code: string
}

export interface GetListDto {
  page: number
  size: number
  name?: string
}

export interface GetDetailDto {
  id: number
}

export interface UpdateDto extends CreateDto {
  id: number
}

export interface DeleteDto {
  id: number
}

export function genMedicinemix(): Medicinemix {
  return {
    ...genBase(),
    name: '',
    uom_code: '',
  }
}
